// $Id: XactWriteThread.cc,v 1.2.2.1 1998/09/22 07:43:48 rousskov Exp $

/*
 * Web Polygraph  http://www.ircache.net/Polygraph/
 * ----------------------------------------------------------
 *
 *  Web Polygraph is copyrighted(C) 1998 by Alex Rousskov and
 *  the University of California, San Diego (UCSD), with all 
 *  rights reserved. Development is funded by the National Science
 *  Foundation (NLANR Cache grants NCR 9616602 and NCR 9521745).
 *  Please see the COPYRIGHT file for full details.
 *
 *  Web Polygraph is free software. You may copy and distribute 
 *  VERBATIM copies of this product. You may modify your copy 
 *  for your own use. You must NOT distribute modified copies.
 *
 *  If you publish any materials derived from or related to  
 *  Web Polygraph, you must give a credit reference to the
 *  National Science Foundation, and the National Laboratory 
 *  for Applied Network Research.
 *
 *  This program is distributed WITHOUT ANY WARRANTY;
 *  without even the implied warranty of MERCHANTABILITY or
 *  FITNESS FOR A PARTICULAR PURPOSE.
 *
 */

#include "XactWriteThread.h"


void XactWriteThread::writeReady(int) {
	if (theConn) {
		if (theConn->ioReady(ioWrite)) {
			// XXX: clear the reservation if we are idle??
			// note: restore in XactIOThread::run()
			TheSelectLoop.clearFD(theReserv);
		} else {
			theConn->setIOReady(ioWrite);
		}
	}
	beActive();
}
