// $Id: BlockWriter.cc,v 1.11.2.1 1998/09/22 07:43:21 rousskov Exp $

/*
 * Web Polygraph  http://www.ircache.net/Polygraph/
 * ----------------------------------------------------------
 *
 *  Web Polygraph is copyrighted(C) 1998 by Alex Rousskov and
 *  the University of California, San Diego (UCSD), with all 
 *  rights reserved. Development is funded by the National Science
 *  Foundation (NLANR Cache grants NCR 9616602 and NCR 9521745).
 *  Please see the COPYRIGHT file for full details.
 *
 *  Web Polygraph is free software. You may copy and distribute 
 *  VERBATIM copies of this product. You may modify your copy 
 *  for your own use. You must NOT distribute modified copies.
 *
 *  If you publish any materials derived from or related to  
 *  Web Polygraph, you must give a credit reference to the
 *  National Science Foundation, and the National Laboratory 
 *  for Applied Network Research.
 *
 *  This program is distributed WITHOUT ANY WARRANTY;
 *  without even the implied warranty of MERCHANTABILITY or
 *  FITNESS FOR A PARTICULAR PURPOSE.
 *
 */

//#include "IOBuffer.h"
//#include "Connection.h"
#include "BlockWriter.h"
#include "Gadgets.h"

void BlockWriter::doIO() {
	Size sz_to_write = min(theBlockSize, workBuf().contSize());
	if (theMaxOffset >= 0)
		sz_to_write = min(sz_to_write, sizeLeft());

	if (sz_to_write <= 0)
		return; // have nothing to write yet
	theConn->write(sz_to_write);
}
